Package org.h2gis.functions.spatial.properties

# Class ST_Centroid

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.properties.ST_Centroid

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_Centroid extends org.h2gis.api.DeterministicScalarFunction
Computes the centroid of this Geometry. The centroid is equal to the centroid of the set of component Geometries of highest dimension (since the lower-dimension geometries contribute zero "weight" to the centroid)

Author:
  Nicolas Fortin

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_Centroid()`
Default constructor

## Method Summary

Modifier and Type
Method
Description
`static org.locationtech.jts.geom.Geometry`
`getCentroid(org.locationtech.jts.geom.Geometry geometry)`
`String`
`getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_Centroid

public ST_Centroid()
Default constructor

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### getCentroid

public static org.locationtech.jts.geom.Geometry getCentroid(org.locationtech.jts.geom.Geometry geometry)